#ifndef XGFXLIGHTREGION_H
#define XGFXLIGHTREGION_H

#include "xasset.h"
#include "xgfxlightregionhull.h"

#include <QVector>

class XGfxLightRegion : public XAsset
{
public:
    XGfxLightRegion();
    ~XGfxLightRegion();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    uint mHullCount;
    qint32 mHullsPtr;
    QVector<XGfxLightRegionHull> mHulls;
};

#endif // XGFXLIGHTREGION_H
